summaryrefslogtreecommitdiffstats
path: root/tutorials/tutorial-xacml-application/src
diff options
context:
space:
mode:
authorliamfallon <liam.fallon@est.tech>2022-10-17 16:55:51 +0100
committerliamfallon <liam.fallon@est.tech>2022-10-18 14:15:56 +0100
commitc3e8a4a2ed66e73c6b39d68924ae8e310e7541db (patch)
tree83076413d38f24564020ca157bf6a2dd330f3747 /tutorials/tutorial-xacml-application/src
parent9831c28c678f70640f6f84e73c9c3d15d3f5a4a6 (diff)
Fix hard coded versions in XACML-PDP tutorials
This commit adds variables to the docker-compse file for the xacml-applicaiton tutorial and adds a startup script that downloads files fromt he docker/csit repo to run the tutorial This commit also removes the separate docker-compose file that was used for xacml-enforcement tutorial and replaces it with instructions on how to use the csit docker-compose to run the enforcement. Issue-ID: POLICY-4186 Change-Id: Id1476e6c0949d3d57bdea9a696b985b60220ec78 Signed-off-by: liamfallon <liam.fallon@est.tech>
Diffstat (limited to 'tutorials/tutorial-xacml-application/src')
-rw-r--r--tutorials/tutorial-xacml-application/src/main/docker/docker-compose.yml11
-rwxr-xr-xtutorials/tutorial-xacml-application/src/main/docker/run-tutorial.sh60
2 files changed, 66 insertions, 5 deletions
diff --git a/tutorials/tutorial-xacml-application/src/main/docker/docker-compose.yml b/tutorials/tutorial-xacml-application/src/main/docker/docker-compose.yml
index 22a9b97f..f0b153f9 100644
--- a/tutorials/tutorial-xacml-application/src/main/docker/docker-compose.yml
+++ b/tutorials/tutorial-xacml-application/src/main/docker/docker-compose.yml
@@ -1,5 +1,6 @@
# ============LICENSE_START=======================================================
# Copyright (C) 2020-2021 AT&T Intellectual Property. All rights reserved.
+# Modifications Copyright (C) 2022 Nordix Foundation.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -18,7 +19,7 @@
version: '2'
services:
mariadb:
- image: mariadb:10.2.14
+ image: ${CONTAINER_LOCATION}mariadb:${POLICY_MARIADB_VER}
container_name: mariadb
hostname: mariadb
command: ['--lower-case-table-names=1', '--wait_timeout=28800']
@@ -28,7 +29,7 @@ services:
expose:
- 3306
message-router:
- image: nexus3.onap.org:10001/onap/policy-models-simulator:2.7.0-SNAPSHOT
+ image: ${CONTAINER_LOCATION}onap/policy-models-simulator:${POLICY_MODELS_VERSION}
container_name: dmaap-simulator
hostname: dmaap-simulator
volumes:
@@ -38,7 +39,7 @@ services:
expose:
- 3904
api:
- image: nexus3.onap.org:10001/onap/policy-api:2.7.0-SNAPSHOT
+ image: ${CONTAINER_LOCATION}onap/policy-api:${POLICY_API_VERSION}
container_name: policy-api
depends_on:
- mariadb
@@ -48,7 +49,7 @@ services:
expose:
- 6767
pap:
- image: nexus3.onap.org:10001/onap/policy-pap:2.7.0-SNAPSHOT
+ image: ${CONTAINER_LOCATION}onap/policy-pap:${POLICY_PAP_VERSION}
container_name: policy-pap
depends_on:
- mariadb
@@ -60,7 +61,7 @@ services:
expose:
- 6868
xacml-pdp:
- image: onap/policy-xacml-tutorial:2.7.0-SNAPSHOT
+ image: onap/policy-xacml-tutorial:${POLICY_XACML_TUTORIAL_VERSION}
container_name: policy-xacml-pdp
depends_on:
- mariadb
diff --git a/tutorials/tutorial-xacml-application/src/main/docker/run-tutorial.sh b/tutorials/tutorial-xacml-application/src/main/docker/run-tutorial.sh
new file mode 100755
index 00000000..1576ad0e
--- /dev/null
+++ b/tutorials/tutorial-xacml-application/src/main/docker/run-tutorial.sh
@@ -0,0 +1,60 @@
+#! /bin/bash
+
+# ============LICENSE_START====================================================
+# Copyright 2022 Nordix Foundation.
+# =============================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END======================================================
+
+if [ -z "$CONTAINER_LOCATION" ]
+then
+ export CONTAINER_LOCATION="nexus3.onap.org:10001/"
+fi
+
+echo "Looking up the XACML tutorial version . . ."
+
+POLICY_XACML_TUTORIAL_VERSION=$(
+ docker images --filter "reference=onap/policy-xacml-tutorial" |
+ grep -v "REPOSITORY" |
+ sort |
+ head -1 |
+ awk '{print $2}'
+)
+
+if [ -z "$POLICY_XACML_TUTORIAL_VERSION" ]
+then
+ echo "Look up of the XACML tutorial version failed, have you built the tutorial docker iamge?"
+ exit 1
+else
+ export POLICY_XACML_TUTORIAL_VERSION
+ echo "Look up of the XACML tutorial version completed, version is ${POLICY_XACML_TUTORIAL_VERSION}"
+fi
+
+echo "Looking up latest versions of Policy Framework images . . ."
+GETVERS_SCRIPT=$(mktemp)
+curl -qL --silent "https://raw.githubusercontent.com/onap/policy-docker/master/csit/get-versions.sh" > "$GETVERS_SCRIPT"
+export GERRIT_BRANCH="master"
+chmod +x "$GETVERS_SCRIPT"
+source "$GETVERS_SCRIPT"
+echo "Look up of latest versions of Policy Framework images completed"
+
+
+echo "Running tutorial . . ."
+docker-compose -f docker-compose.yml up
+echo "Tutorial run completed"
+
+echo "Cleaning up . . ."
+rm "$GETVERS_SCRIPT"
+echo "Cleanup competed"